Update a Project Note
curl --request PUT \
--url https://api.virtuoussoftware.com/api/ProjectNote/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ProjectNote/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectNote/{noteId}"
payload = {
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ProjectNote/{noteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'note' => '<string>',
'important' => '<boolean>',
'private' => '<boolean>',
'contactId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ProjectNote/{noteId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 870010,
"createDateTimeUtc": "2025-11-05T13:00:00Z",
"createdByUser": "Program Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/program-team.png",
"type": "Update",
"note": "Secured 350 turkeys via an in-kind donation from Northwind Logistics for the Holiday Meals distribution.",
"important": true,
"isPrivate": false,
"binaryPath": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Project Notes
Update a Project Note
Similar to other update methods in the API, excluding a property will remove it’s value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
ProjectNote
/
{noteId}
Update a Project Note
curl --request PUT \
--url https://api.virtuoussoftware.com/api/ProjectNote/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ProjectNote/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectNote/{noteId}"
payload = {
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"private": "<boolean>",
"contactId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ProjectNote/{noteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'note' => '<string>',
'important' => '<boolean>',
'private' => '<boolean>',
'contactId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"contactId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ProjectNote/{noteId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
important: '<boolean>',
private: '<boolean>',
contactId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 870010,
"createDateTimeUtc": "2025-11-05T13:00:00Z",
"createdByUser": "Program Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/program-team.png",
"type": "Update",
"note": "Secured 350 turkeys via an in-kind donation from Northwind Logistics for the Holiday Meals distribution.",
"important": true,
"isPrivate": false,
"binaryPath": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?